'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var React = _interopRequireWildcard(_react);

var _addons = require('@storybook/addons');

var _addons2 = _interopRequireDefault(_addons);

var _LiveSource = require('./component/LiveSource');

var _LiveSource2 = _interopRequireDefault(_LiveSource);

var _constants = require('./constants');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

exports.default = {
    addLiveSource: function addLiveSource(kind, source, scope) {
        return this.add(kind, function (context) {
            return React.createElement(_LiveSource2.default, { channel: _addons2.default.getChannel(), code: source, scope: _extends({}, context[_constants.symbol.Scope], scope) });
        });
    }
};
//# sourceMappingURL=addLiveSource.js.map