'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var React = _interopRequireWildcard(_react);

var _reactLive = require('react-live');

var _constants = require('../constants');

var _returnToRender = require('../returnToRender');

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

var LiveError = function LiveError(_ref) {
    var live = _ref.live;
    return live.error ? React.createElement(
        'div',
        { className: _constants.className.error },
        (0, _returnToRender.cleanupError)(live.error)
    ) : null;
};

exports.default = (0, _reactLive.withLive)(LiveError);
//# sourceMappingURL=LiveError.js.map