'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var React = _interopRequireWildcard(_react);

var _constants = require('../constants');

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

var previewCss = '\n.' + _constants.className.error + ' {\n    min-width: 100%;\n    box-sizing: border-box;\n    padding: 5px;\n    color: rgb(208, 0, 0);\n    border: 1px dashed rgb(208, 0, 0);\n    font-family: "Lucida Console", Monaco, monospace;\n    white-space: pre;\n    display: inline-block;\n    font-size: 14px;\n}\n';

var PreviewStyle = function PreviewStyle() {
    return React.createElement('style', { dangerouslySetInnerHTML: { __html: previewCss } });
};

exports.default = PreviewStyle;
//# sourceMappingURL=PreviewStyle.js.map